Bug 3813 - [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt-cim
: [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt-cim
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-25 17:34 MSK by Andrew Lukoshko
Modified: 2014-03-10 19:37 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-02-25 17:34:45 MSK
* Prior to this update, libvirt-cim did not allow customization of the "machine" and "arch" properties for the "type" attribute of the "os" element for the domain XML file. As a consequence, a default value was provided, overwriting a possible customization for the libvirt-cim provider. To fix this bug, the code has been adjusted to allow modifications of the "machine" and "arch" properties of the "type" attribute for the "os" element. As a result, it is now possible to set the fields as desired using the "ModifySystemSettings" method and adjusting the "SystemSettings" values for the KVM_VirtualSystemSettingData "machine" field.

http://rhn.redhat.com/errata/RHBA-2014-0162.html

https://abf.rosalinux.ru/build_lists/1658401
https://abf.rosalinux.ru/build_lists/1658402
Comment 1 Vladimir Potapov 2014-02-27 14:19:57 MSK
libvirt-cim-0.6.1-9.res6.1
http://abf-downloads.rosalinux.ru/rosa-server65/container/1658401/
http://abf-downloads.rosalinux.ru/rosa-server65/container/1658402/
**************************** RHEL Advisory *************************
* Prior to this update, libvirt-cim did not allow customization of the "machine" and "arch" properties for the "type" attribute of the "os" element for the domain XML file. As a consequence, a default value was provided, overwriting a possible customization for the libvirt-cim provider. To fix this bug, the code has been adjusted to allow modifications of the "machine" and "arch" properties of the "type" attribute for the "os" element. As a result, it is now possible to set the fields as desired using the "ModifySystemSettings" method and adjusting the "SystemSettings" values for the KVM_VirtualSystemSettingData "machine" field.
*******************************************************************
QA Verified